#### D.8.1.5 XLsolve

Procedure from library `ffsolve.lib` (see ffsolve_lib).

Usage:
  XLsolve(I[, d]); I ideal, d optional integer
  solve I (system of multivariate polynomials) with a
  variant of the linearization technique, multiplying
  the polynomials with monomials of degree at most d
  (default is 2)

Return:
  list L of the common roots of I as ideals

Assume:
  basering is a finite field of type (p^n,a)

Example:

    LIB "ffsolve.lib";
    ring R = (2,a),x(1..3),lp;
    minpoly=a2+a+1;
    ideal I;
    I[1]=(a)*x(1)^2+x(2)^2+(a+1);
    I[2]=(a)*x(1)^2+(a)*x(1)*x(3)+(a)*x(2)^2+1;
    I[3]=(a)*x(1)*x(3)+1;
    I[4]=x(1)^2+x(1)*x(3)+(a);
    XLsolve(I, 3);
    ==> [1]:
    ==>    _[1]=x(3)+(a+1)
    ==>    _[2]=x(2)+1
    ==>    _[3]=x(1)+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.